<?xml version="1.0"?>
<NetworkConfiguration xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
  <Title>XOR - Gate</Title>
  <Topology>
    <int>2</int>
    <int>2</int>
    <int>1</int>
  </Topology>
  <LearnRate>0.2</LearnRate>
  <Momentum>0.5</Momentum>
  <ActivationFunctionName>Tanh</ActivationFunctionName>
  <TrainingConfiguration>
    <MaxEpochs>1000</MaxEpochs>
    <TargetedAverageError>0.01</TargetedAverageError>
    <ValidationDataSet>
      <ValidationData>
        <InputValues>
          <double>0</double>
          <double>0</double>
        </InputValues>
        <ExpectedOutputValues>
          <double>0</double>
        </ExpectedOutputValues>
      </ValidationData>
      <ValidationData>
        <InputValues>
          <double>0</double>
          <double>1</double>
        </InputValues>
        <ExpectedOutputValues>
          <double>1</double>
        </ExpectedOutputValues>
      </ValidationData>
      <ValidationData>
        <InputValues>
          <double>1</double>
          <double>0</double>
        </InputValues>
        <ExpectedOutputValues>
          <double>1</double>
        </ExpectedOutputValues>
      </ValidationData>
      <ValidationData>
        <InputValues>
          <double>1</double>
          <double>1</double>
        </InputValues>
        <ExpectedOutputValues>
          <double>0</double>
        </ExpectedOutputValues>
      </ValidationData>
    </ValidationDataSet>
  </TrainingConfiguration>
</NetworkConfiguration>